Package org.codehaus.janino

# Class Java.AbstractCompilationUnit.SingleStaticImportDeclaration

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.AbstractCompilationUnit.ImportDeclaration
org.codehaus.janino.Java.AbstractCompilationUnit.SingleStaticImportDeclaration

All Implemented Interfaces:
  `Java.Locatable`

Enclosing class:
  `Java.AbstractCompilationUnit`

public static class Java.AbstractCompilationUnit.SingleStaticImportDeclaration extends Java.AbstractCompilationUnit.ImportDeclaration
Represents a single static import declaration like

         import java.util.Collections.EMPTY_MAP;

## Field Summary

Fields
Modifier and Type
Field
Description
`final String[]`
`identifiers`
The identifiers that constitute the member to be imported, e.g.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`SingleStaticImportDeclaration(Location location, String[] identifiers)`

## Method Summary

Modifier and Type
Method
Description
`final <R, EX extends Throwable>
R`
`accept(Visitor.ImportVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.ImportVisitor` for the concrete `Java.AbstractCompilationUnit.ImportDeclaration` type.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### identifiers

public final String[] identifiers
The identifiers that constitute the member to be imported, e.g. "java", "util", "Collections", "EMPTY_MAP".

## Constructor Details

### SingleStaticImportDeclaration

public SingleStaticImportDeclaration(Location location, String[] identifiers)

## Method Details

### accept

@Nullable public final <R, EX extends Throwable> R accept(Visitor.ImportVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.AbstractCompilationUnit.ImportDeclaration`
Invokes the "`visit...()`" method of `Visitor.ImportVisitor` for the concrete `Java.AbstractCompilationUnit.ImportDeclaration` type.

Specified by:
  `accept` in class `Java.AbstractCompilationUnit.ImportDeclaration`
Throws:
  `EX`

### toString

public String toString()

Overrides:
  `toString` in class `Object`